| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.VtkForm Class Reference

Windows form for presenting VTK graphics. More...

Inheritance diagram for IG.Gr3d.VtkForm:
[legend]
Collaboration diagram for IG.Gr3d.VtkForm:
[legend]

## Public Member Functions
| VtkForm ()
Public Member Functions inherited from IG.Forms.IClosableFromContainedForm
void | Close ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
VtkControlBase | VtkControl`[get]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
Kitware.VTK.RenderWindowControl | VtkRenderWindowControl`[get]`
| VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. More...
Properties inherited from IG.Gr3d.IVtkFormContainerGen< VtkControlType >
VtkControlBase | VtkControl`[get]`
| Base windows forms control through which the basic VTK functionality and all additional features can be accessed. More...
VtkControlType | VtkRenderWindowControl`[get]`
| VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
VtkControlBase | _vtkControl
Kitware.VTK.RenderWindowControl | _vtkRenderWindowControl
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
VtkControlWin | vtkControlWin1

## Detailed Description

Windows form for presenting VTK graphics.

Contains some additional buttons beside just the VTK renderer control.

This is a toplevel form that only contains a control of type VtkControlWin, which handles all VTK related stuff.

$A Igor xx May13;

## Constructor & Destructor Documentation

IG.Gr3d.VtkForm.VtkForm | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Gr3d.VtkForm.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr3d.VtkForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

VtkControlBase IG.Gr3d.VtkForm._vtkControl
| private

Kitware.VTK.RenderWindowControl IG.Gr3d.VtkForm._vtkRenderWindowControl
| private

System.ComponentModel.IContainer IG.Gr3d.VtkForm.components = null
| private

Required designer variable.

VtkControlWin IG.Gr3d.VtkForm.vtkControlWin1
| private

## Property Documentation

VtkControlBase IG.Gr3d.VtkForm.VtkControl
| get

Gets the control of type VtkControlBase through which VTK functionality is controlled.

Kitware.VTK.RenderWindowControl IG.Gr3d.VtkForm.VtkRenderWindowControl
| get

VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly.

Instead of accessing this control directly, you should normally access it through the VtkControlBase.VtkControl property of the VtkControl property.

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/VtkForm.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/VtkForm.Designer.cs